Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Система пакетов повреждена при обновлении с 12.04 до 14.04  (Прочитано 1490 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн lyrax

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
При обновлении системы с 12.04 до 14.04.4 появились проблемы с зависимостями:
Сначала выполнил:
$sudo apt-get update
$sudo apt-get upgrade
Перезагрузился. Отвалилась сеть-исправил.
Далее:
$sudo apt-get dist-upgrade
Загрузилось много пакетов и началась установка. Оборвалась на:
(Нажмите, чтобы показать/скрыть)

Далее запустил:
$sudo apt-get -f  install
Выдает:
(Нажмите, чтобы показать/скрыть)

Пробовал:
$apt-get clean
$apt-get autoclean
И далее:
$sudo apt-get -f  install
Скачивает заново пакеты и выдает тоже самое.

В списке источников остались только те, которые добавились при обновлении (там я ничего не трогал):
$ cat /etc/apt/sources.list
(Нажмите, чтобы показать/скрыть)

Я почитал форумы и советуют обновлять с помощью aptitude, но она у меня не установлена и установить ее я не могу - apt-get заблокирован.
Как мне разрулить зависимости в apt-get? Тем более, там проблемы со шрифтами, в крайнем случае, удалить конфликтные пакеты.

Оффлайн vip.lohmatiy

  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
lyrax, Неделю назад обновился не только с 12.04 до 14.04 , но и ещё до ядра 4.02.034, --- а у вас в sources.list какого только д-а нет, подчистите.
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн www777

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 2594
    • Просмотр профиля
Все дополнительне неофициальные репозитории, рекомендуется отключить, а лучше удалить. Это включает как PPA, так и другие, например у вас репозиторий virtualbox.

Самое надёжное решение проблемы, это установить 14.04.4 или аналогичную 14.04 c нуля, сохранив настройки пользователя. А главное чего торопитесь, скоро 16.04 выйдет, тогда бы и обновились, в августе например, без спешки.

Оффлайн vip.lohmatiy

  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
www777, при обновлении (а не при переустановке, сохраняются установленные, работоспособные программы).
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн www777

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 2594
    • Просмотр профиля
vip.lohmatiy,
У меня и при переустановке сохраняются работоспособные программы, достаточно скопировать одну строчку в терминале и нажать энтер, что бы мои работоспособные программы проявились на новом месте :)

Оффлайн lyrax

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
lyrax, Неделю назад обновился не только с 12.04 до 14.04 , но и ещё до ядра 4.02.034, --- а у вас в sources.list какого только д-а нет, подчистите.


Из незакомментированного осталось:
deb http://archive.ubuntu.com/ubuntu trusty main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty main restricted

deb http://archive.ubuntu.com/ubuntu trusty-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty-updates main restricted

deb http://archive.ubuntu.com/ubuntu trusty universe
deb-src http://archive.ubuntu.com/ubuntu trusty universe
deb http://archive.ubuntu.com/ubuntu trusty-updates universe
deb-src http://archive.ubuntu.com/ubuntu trusty-updates universe

deb http://archive.ubuntu.com/ubuntu trusty multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty multiverse
deb http://archive.ubuntu.com/ubuntu trusty-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-updates multiverse

deb http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu trusty-security main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty-security main restricted
deb http://archive.ubuntu.com/ubuntu trusty-security universe
deb-src http://archive.ubuntu.com/ubuntu trusty-security universe
deb http://archive.ubuntu.com/ubuntu trusty-security multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-security multiverse

deb http://archive.canonical.com/ubuntu trusty partner
deb-src http://archive.canonical.com/ubuntu trusty partner

deb http://extras.ubuntu.com/ubuntu trusty main
deb-src http://extras.ubuntu.com/ubuntu trusty main

deb http://archive.ubuntu.com/ubuntu trusty-proposed restricted main multiverse universe
Что оставить, что убрать?

Оффлайн alang

  • Старожил
  • *
  • Сообщений: 2508
    • Просмотр профиля
Я никого не сторожил!

Оффлайн lyrax

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Все дополнительне неофициальные репозитории, рекомендуется отключить, а лучше удалить. Это включает как PPA, так и другие, например у вас репозиторий virtualbox.

Самое надёжное решение проблемы, это установить 14.04.4 или аналогичную 14.04 c нуля, сохранив настройки пользователя. А главное чего торопитесь, скоро 16.04 выйдет, тогда бы и обновились, в августе например, без спешки.

PPA закомментированы, причем системой. Остались только добавленные автоматически при обновлении источники. Я начал обновление без PPA, только с тем, что мне предложила система. Выше отдельно выписал.

Оффлайн vip.lohmatiy

  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
lyrax,
Последние 3 строки
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн www777

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 2594
    • Просмотр профиля
что убрать?

proposed
Только это надо было делать до обновления. А ещё лучше не включать его совсем.

Оффлайн lyrax

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
что убрать?

proposed
Только это убрать или еще что-то?
deb http://archive.ubuntu.com/ubuntu trusty-proposed restricted main multiverse universe
и это
deb http://extras.ubuntu.com/ubuntu trusty main
deb-src http://extras.ubuntu.com/ubuntu trusty main
« Последнее редактирование: 28 Март 2016, 16:01:13 от lyrax »

Оффлайн alang

  • Старожил
  • *
  • Сообщений: 2508
    • Просмотр профиля
Только это надо было делать до обновления. А ещё лучше не включать его совсем.

Разумеется.
Я никого не сторожил!

Оффлайн lyrax

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Конфликтует пакеты в репозиториях, в которых есть слово main и universe. Убрал все репозитории с main (если убрать только
deb http://extras.ubuntu.com/ubuntu trusty main и deb-src http://extras.ubuntu.com/ubuntu trusty main не помогает) и
$sudo apt-get -f  install
выполнилась до конца.
Какие лучше оставить репозитории main или universe?


Оффлайн vip.lohmatiy

  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
lyrax,
Цитировать
Конфликтует пакеты в репозиториях, в которых есть слово main и universe.
они не могут конфликтовать, если вы ничего не путаете, покажите ещё раз
cat /etc/apt/sources.list
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн lyrax

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
$ cat /etc/apt/sources.list
(Нажмите, чтобы показать/скрыть)

$sudo apt-get -f  install
(Нажмите, чтобы показать/скрыть)

Скачивает 35 пакетов и завершается ошибкой.



Пользователь решил продолжить мысль 28 Март 2016, 16:48:56:
Если:
$ cat /etc/apt/sources.list
(Нажмите, чтобы показать/скрыть)

Dсе репозитории с main закомментированы
То:
$sudo apt-get -f  install

(Нажмите, чтобы показать/скрыть)

Скачано 11 пакетов и все установлено без ошибок

Немного обрезал последний код.
« Последнее редактирование: 28 Март 2016, 16:50:26 от lyrax »

 

Страница сгенерирована за 0.065 секунд. Запросов: 25.